using System;

internal sealed class Delegate831 : MulticastDelegate
{
	public extern uint Invoke(ref UIntPtr uintptr_0);

	public static uint smethod_0(ref UIntPtr uintptr_0, Delegate831 delegate831_1)
	{
		return delegate831_1(ref uintptr_0);
	}

	public extern Delegate831(object object_0, IntPtr intptr_0);

	static Delegate831()
	{
		Class10.smethod_13(typeof(Delegate831).TypeHandle);
	}

	internal static Delegate831 delegate831_0;
}
